/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Territorios;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface TerritoriosFacadeLocal {

    void create(Territorios territorios);

    void edit(Territorios territorios);

    void remove(Territorios territorios);

    Territorios find(Object id);

    List<Territorios> findAll();

    List<Territorios> findRange(int[] range);

    int count();

    List<Territorios> TerritorioPorSucursal(String sucursalCodigo);

}
